Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.accesstracking.applet
Class LogApplet

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Panel
                  java.applet.Applet
                      scone.accesstracking.applet.LogApplet

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class LogApplet

extends java.applet.Applet

This Applet reads the applet parameters, concats them to one string and sends it to the scone Remote Access Server. The Applet gets the destination for the socket connection from parameters.
Everytime the method logMsg is called by javascript, a corrisponding string is sent to RAS.
Transmissions of the RAS can execute JavaScript commands

Version:
  1.5, 22-Feb-2002
Author:
  Torsten Hass, Harald Weinreich
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.applet.Applet
`java.applet.Applet.AccessibleApplet`

Nested classes/interfaces inherited from class java.awt.Panel
`java.awt.Panel.AccessibleAWTPanel`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static int` | `AC_DISABLEACCESSTRACKING`
`static int` | `AC_SHOWAPPLET`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`LogApplet()`

Method Summary
`protected java.lang.String` | `addParam(java.lang.String paramName)` This method reads the applet parameter and concatinates the parameter name, a "=", the parameter value and a "\n"
`void` | `anyFunction(java.lang.String function)` This method asks the browser to call any function
`void` | `blurBrowser()` This method asks the browser to blur it's window (put it into background)
`void` | `bringToFront()` This method asks the browser to bring it's window to front
`void` | `closeBrowser()` This method asks the browser to close it's current window
`void` | `destroy()`
`void` | `init()`
`void` | `logMsg(java.lang.String nachricht)` This method is called by an JavaScript function when the page is completly loaded, a link was clicked, a form submitted or the page is unloaded.
`void` | `openURL(java.lang.String url, java.lang.String target)` This method asks the browser to open a new URL immidiately
`void` | `openURLDelayed(java.lang.String url)` This method asks the browser to open a new URL This time JavaScript is used and the URL is open delayed, e.g.
`void` | `sendMsg()` Sends a message to the server, corresponding to the string received by logMsg
`void` | `start()`
`void` | `statusSaverReceived(java.lang.String receivedData)` This method is called by ReceiverThread when a String from the server was received.
`void` | `stop()`

Methods inherited from class java.applet.Applet
`getAccessibleContext, getAppletContext, getAppletInfo, getAudioClip, getAudioClip, getCodeBase, getDocumentBase, getImage, getImage, getLocale, getParameter, getParameterInfo, isActive, newAudioClip, play, play, resize, resize, setStub, showStatus`

Methods inherited from class java.awt.Panel
`addNotify`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusBackward, transferFocusDownCycle, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AC_SHOWAPPLET

    public static final int AC_SHOWAPPLET

See Also:
  Constant Field Values

### AC_DISABLEACCESSTRACKING

    public static final int AC_DISABLEACCESSTRACKING

See Also:
  Constant Field Values

Constructor Detail

### LogApplet

    public LogApplet()

Method Detail

### init

    public void init()

  Overrides:
    `init` in class `java.applet.Applet`

### start

    public void start()

  Overrides:
    `start` in class `java.applet.Applet`

### stop

    public void stop()

  Overrides:
    `stop` in class `java.applet.Applet`

### destroy

    public void destroy()

  Overrides:
    `destroy` in class `java.applet.Applet`

### statusSaverReceived

    public void statusSaverReceived(java.lang.String receivedData)

  This method is called by ReceiverThread when a String from the server was received. If logMsg was not called yet, it is stored. Otherways, the received data is sent to the server with additional information, received by logMsg from JavaScript

  Parameters:
    `receivedData` - The received StatusSaver string

### logMsg

    public void logMsg(java.lang.String nachricht)

  This method is called by an JavaScript function when the page is completly loaded, a link was clicked, a form submitted or the page is unloaded.

### sendMsg

    public void sendMsg()

  Sends a message to the server, corresponding to the string received by logMsg

### addParam

    protected java.lang.String addParam(java.lang.String paramName)

  This method reads the applet parameter and concatinates the parameter name, a "=", the parameter value and a "\n"

  Parameters:
    `paramName` - The name of the parameter
  Returns:
    the concatinated string like "Name=Value\n"

### openURL

    public void openURL(java.lang.String url,
                        java.lang.String target)

  This method asks the browser to open a new URL immidiately

  Parameters:
    `url` - The url to open in browser
    `target` - The target frame to open the new url in

### openURLDelayed

    public void openURLDelayed(java.lang.String url)

  This method asks the browser to open a new URL
  This time JavaScript is used and the URL is open delayed, e.g. to allow a bringToFront first.

  Parameters:
    `url` - The url to open in browser
  See Also:
    `for the delay time etc.`

### bringToFront

    public void bringToFront()

  This method asks the browser to bring it's window to front

### blurBrowser

    public void blurBrowser()

  This method asks the browser to blur it's window (put it into background)

### closeBrowser

    public void closeBrowser()

  This method asks the browser to close it's current window

### anyFunction

    public void anyFunction(java.lang.String function)

  This method asks the browser to call any function

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD